<vn>
<vn-group>
	<vn-param id="filter"/>
	<vn-hash-param key="filter" param="filter"/>
</vn-group>
<div id="title">
	<h1><t>Items</t></h1>
</div>
<div id="actions">
	<htk-search-entry
		param="filter"/>
</div>
<div id="form" class="items">
	<div class="rows box">
		<htk-repeater form-id="iter" empty-message="_Enter a search term">
			<db-model property="model">
				<custom>
					SELECT Id_Article, Article, Medida, Categoria, Foto
						FROM vn2008.Articles
						WHERE Article LIKE CONCAT('%', #filter, '%')
							OR Id_Article = #filter
							ORDER BY Article LIMIT 50
				</custom>
				<sql-batch property="batch">
					<custom>
						<item name="filter" param="filter"/>
					</custom>
				</sql-batch>
			</db-model>
			<custom>
				<div class="row">
					<htk-image
						form="iter"
						column="Foto"
						class="photo"
						directory="catalog"
						subdir="200x200"
						full-dir="900x900"
						editable="true"
						conn="conn"/>
					<p class="concept">
						<htk-text form="iter" column="Article"/> 
						<htk-text form="iter" column="Medida"/> 
						<htk-text form="iter" column="Categoria"/>
					</p>
					<p>
						<htk-text form="iter" column="Id_Article"/>
					</p>
					<p>
						<htk-text form="iter" column="Foto"/>
					</p>
					<div class="clear"/>
				</div>
			</custom>
		</htk-repeater>
	</div>
</div>
</vn>
